Bug 1125605 - Bug in libpsm2-2 11.2.23 Causes 15s Delay Starting Programs Linked With libpsm2
Bug in libpsm2-2 11.2.23 Causes 15s Delay Starting Programs Linked With libpsm2
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Other
Current
x86-64 Other
: P5 - None : Normal (vote)
: ---
Assigned To: Nicolas Morey-Chaisemartin
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-02-15 14:01 UTC by Ron Lovell
Modified: 2019-05-13 08:45 UTC (History)
0 users

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ron Lovell 2019-02-15 14:01:45 UTC
A known issue in libpsm2 11.2.23 (Intel IFS-10.8.0.0.204) causes a 15s delay starting programs when there are no hfi1 devices present on the system.
See https://github.com/intel/opa-psm2/issues/33. This issue is present in Tumbleweed, as I see delay when I try to start MPI programs with Open MPI
mpiexec(1) or mpirun(1).

Looking at https://github.com/intel/opa-psm2/releases it appears release IFS-10.9.0.0.21 corresponding to PSM2 11.2.77 addresses the issue.
I can only confirm that it's resolved on my systems with the current 11.2.78 builds on Debian Sid and Fedora Rawhide.

The issue causes a 15s delay when mpiexec(1)/mpirun(1) start an MPI program.
It also affects other programs linked to libpsm2. In my case, my MPI programs run normally, so it's just a nuisance, not a show-stopper.
Comment 1 Ron Lovell 2019-02-15 14:19:12 UTC
Correction: That new release of IFS is 10.9.0.0.210, not 10.9.0.0.21.
Comment 2 Ron Lovell 2019-02-15 14:23:35 UTC
I should have mentioned that I'm using openmpi3-3.1.1, not the default openmpi 1.10.7. The default version might not even link libpsm2.
Comment 4 Swamp Workflow Management 2019-02-18 08:20:07 UTC
This is an autogenerated message for OBS integration:
This bug (1125605) was mentioned in
https://build.opensuse.org/request/show/676928 Factory / libpsm2
Comment 5 Nicolas Morey-Chaisemartin 2019-02-25 07:45:49 UTC
11.2.78 is available in Factory
Comment 6 Ron Lovell 2019-02-26 13:02:55 UTC
The update to libpsm2-2 11.2.78-1.1 resolves the MPI start delay issue on my Tumbleweed x86_64 system. Great work, guys!